#include "base/base.h"
namespace mozc {
namespace {
class POSMatcher {
 public:
  static uint16 GetZipcodeId() {
    return 3022;
  }
  static bool IsZipcode(uint16 id) {
    return (id == 3022);
  }
  // Functional "^(助詞|助動詞|記号|動詞,非自立|名詞,非自立|形容詞,非自立|動詞,接尾|名詞,接尾|形容詞,接尾)"
  static uint16 GetFunctionalId() {
    return 33;
  }
  static bool IsFunctional(uint16 id) {
    return ((id >= 33 && id <= 532) || (id >= 1412 && id <= 2233) || (id >= 2313 && id <= 2336) || (id >= 2348 && id <= 2569) || (id >= 2863 && id <= 2975) || (id >= 3003 && id <= 3008));
  }
  // Unknown "名詞,サ変接続"
  static uint16 GetUnknownId() {
    return 2234;
  }
  static bool IsUnknown(uint16 id) {
    return ((id >= 2234 && id <= 2237));
  }
  // FirstName "名詞,固有名詞,人名,名"
  static uint16 GetFirstNameId() {
    return 2303;
  }
  static bool IsFirstName(uint16 id) {
    return ((id == 2303));
  }
  // LastName "名詞,固有名詞,人名,姓"
  static uint16 GetLastNameId() {
    return 2304;
  }
  static bool IsLastName(uint16 id) {
    return ((id == 2304));
  }
  // Number "名詞,数,アラビア数字"
  static uint16 GetNumberId() {
    return 2339;
  }
  static bool IsNumber(uint16 id) {
    return ((id == 2339));
  }
 private:
  POSMatcher() {}
  ~POSMatcher() {}
};
}  // namespace
}  // mozc
