
namespace  {
const int kLSize = 3022;
const int kRSize = 3022;

bool IsBoundaryInternal(uint16 rid, uint16 lid) {
  // BOS * or * EOS true
  if (rid == 0 || lid == 0) { return true; }
  // 名詞,数,(アラビア数字|漢数字) 名詞,数,(アラビア数字|漢数字) false
  if (((rid >= 2339 && rid <= 2346)) && ((lid >= 2339 && lid <= 2346))) { return false; }
  // 名詞,数,(アラビア数字|漢数字) 記号,句点 false
  if (((rid >= 2339 && rid <= 2346)) && ((lid == 3005))) { return false; }
  // * 名詞,数,(アラビア数字|漢数字) true
  if ((lid >= 2339 && lid <= 2346)) { return true; }
  // 名詞,数,(アラビア数字|漢数字) * true
  if ((rid >= 2339 && rid <= 2346)) { return true; }
  // 記号,句点 名詞,数 false
  if (((rid == 3005)) && ((lid >= 2338 && lid <= 2346))) { return false; }
  // 名詞,数 名詞 false
  if (((rid >= 2338 && rid <= 2346)) && ((lid >= 2234 && lid <= 2482))) { return false; }
  // 名詞,数 * true
  if ((rid >= 2338 && rid <= 2346)) { return true; }
  // * 名詞,数 true
  if ((lid >= 2338 && lid <= 2346)) { return true; }
  // 記号,(句点|読点|括弧開|括弧閉) * true
  if ((rid >= 3005 && rid <= 3008)) { return true; }
  // * 記号,(句点|読点|括弧開|括弧閉|空白) true
  if ((lid >= 3005 && lid <= 3008)) { return true; }
  // ^助詞,接続助詞 ^動詞,非自立 false
  if (((rid >= 297 && rid <= 328)) && ((lid >= 1412 && lid <= 2233))) { return false; }
  // ^動詞,自立 ^動詞,非自立 false
  if (((rid >= 533 && rid <= 1411)) && ((lid >= 1412 && lid <= 2233))) { return false; }
  // 副詞,一般,*,*,*,*,よく 動詞,自立,*,*,五段・ラ行,*,なる false
  if (((rid == 13)) && ((lid == 982) || (lid == 997) || (lid == 1012) || (lid == 1027) || (lid == 1042) || (lid == 1057) || (lid == 1072) || (lid == 1087) || (lid == 1102) || (lid == 1117) || (lid == 1132))) { return false; }
  // * 動詞,非自立,*,*,五段・カ行促音便,連用タ接続,く false
  if ((lid == 1827)) { return false; }
  // ^接頭詞 ^接頭詞 true
  if (((rid >= 2978 && rid <= 3002)) && ((lid >= 2978 && lid <= 3002))) { return true; }
  // * 名詞,非自立,形容動詞語幹,*,*,*,みたい false
  if ((lid == 2482)) { return false; }
  // * ^助詞,*,*,*,*,*,(ヲ|ニ|ナ|ネ|ヨ|ン|ヨー|ワ|デ|ノ|ヘ|ヲ|之|ナア|ネェ|ヨー|なァ) true
  if ((lid >= 286 && lid <= 288) || (lid >= 340 && lid <= 344) || (lid == 353) || (lid == 369) || (lid >= 391 && lid <= 397)) { return true; }
  // * 名詞,非自立,一般,*,*,*,(コト|フシ|ホ|モノ|ン) true
  if ((lid == 2384) || (lid >= 2387 && lid <= 2390)) { return true; }
  // * 助動詞,*,*,*,特殊・デス,基本形,ッス true
  if ((lid == 181)) { return true; }
  // * 助動詞,*,*,*,特殊・デス,基本形,デス true
  if ((lid == 182)) { return true; }
  // * 助動詞,*,*,*,特殊・デス,基本形,ドス true
  if ((lid == 183)) { return true; }
  // * 助動詞,*,*,*,特殊・デス,未然形,ッス true
  if ((lid == 188)) { return true; }
  // * 助動詞,*,*,*,不変化型,基本形,じゃン true
  if ((lid == 42)) { return true; }
  // * 名詞,固有名詞,地域,一般 true
  if ((lid >= 2305 && lid <= 2308)) { return true; }
  // 接頭詞,名詞接続 * false
  if ((rid >= 2979 && rid <= 3000)) { return false; }
  // * 助動詞,*,*,*,形容詞・イ段,*,無い true
  if ((lid == 81) || (lid == 83) || (lid == 85) || (lid == 87) || (lid == 89) || (lid == 91) || (lid == 93) || (lid == 95) || (lid == 97) || (lid == 99) || (lid == 101) || (lid == 103) || (lid == 105)) { return true; }
  // 動詞 助動詞,*,*,*,形容詞・イ段,*,無い true
  if (((rid >= 399 && rid <= 2233)) && ((lid == 81) || (lid == 83) || (lid == 85) || (lid == 87) || (lid == 89) || (lid == 91) || (lid == 93) || (lid == 95) || (lid == 97) || (lid == 99) || (lid == 101) || (lid == 103) || (lid == 105))) { return true; }
  // ^(助動詞|動詞),*,*,*,*,基本形 名詞,非自立,一般,*,*,*,(事|コト) true
  if (((rid == 36) || (rid >= 39 && rid <= 48) || (rid == 53) || (rid >= 66 && rid <= 68) || (rid >= 92 && rid <= 93) || (rid == 108) || (rid == 110) || (rid >= 113 && rid <= 114) || (rid >= 124 && rid <= 125) || (rid >= 130 && rid <= 131) || (rid == 136) || (rid == 139) || (rid == 144) || (rid == 147) || (rid >= 152 && rid <= 153) || (rid >= 161 && rid <= 162) || (rid == 173) || (rid >= 177 && rid <= 183) || (rid >= 199 && rid <= 200) || (rid == 211) || (rid >= 224 && rid <= 226) || (rid == 237) || (rid >= 424 && rid <= 428) || (rid >= 468 && rid <= 475) || (rid >= 514 && rid <= 516) || (rid == 546) || (rid >= 561 && rid <= 562) || (rid >= 597 && rid <= 603) || (rid >= 633 && rid <= 634) || (rid >= 650 && rid <= 651) || (rid == 661) || (rid >= 749 && rid <= 765) || (rid == 822) || (rid == 828) || (rid >= 853 && rid <= 860) || (rid >= 905 && rid <= 908) || (rid >= 930 && rid <= 932) || (rid == 948) || (rid >= 962 && rid <= 964) || (rid >= 1052 && rid <= 1066) || (rid >= 1152 && rid <= 1156) || (rid >= 1206 && rid <= 1218) || (rid >= 1319 && rid <= 1327) || (rid == 1375) || (rid >= 1395 && rid <= 1399) || (rid == 1418) || (rid == 1428) || (rid >= 1587 && rid <= 1617) || (rid == 1714) || (rid >= 1721 && rid <= 1722) || (rid >= 1750 && rid <= 1758) || (rid >= 1811 && rid <= 1815) || (rid >= 1842 && rid <= 1843) || (rid >= 1874 && rid <= 1881) || (rid >= 1912 && rid <= 1913) || (rid >= 2008 && rid <= 2024) || (rid >= 2133 && rid <= 2137) || (rid >= 2182 && rid <= 2191) || (rid == 2231)) && ((lid == 2384) || (lid == 2392))) { return true; }
  // ^名詞 助動詞,*,*,*,(文語・ル|文語・リ|文語・マジ|文語・ゴトシ|文語・ケリ|文語・キ) true
  if (((rid >= 2234 && rid <= 2482)) && ((lid >= 106 && lid <= 116) || (lid >= 134 && lid <= 146))) { return true; }
  // ^助詞 名詞,非自立,副詞可能,*,*,*,以内 true
  if (((rid >= 240 && rid <= 398)) && ((lid == 2451))) { return true; }
  // ^(動詞|助動詞|形容詞) 名詞,非自立,副詞可能,*,*,*,他 true
  if (((rid >= 33 && rid <= 239) || (rid >= 399 && rid <= 2233) || (rid >= 2483 && rid <= 2975)) && ((lid == 2449))) { return true; }
  // ^名詞,サ変接続 動詞,自立,*,*,一段,*,できる false
  if (((rid >= 2234 && rid <= 2237)) && ((lid == 668) || (lid == 685) || (lid == 702) || (lid == 719) || (lid == 736) || (lid == 753) || (lid == 770) || (lid == 787) || (lid == 804))) { return false; }
  // * 名詞,非自立,助動詞語幹,*,*,*,よう false
  if ((lid == 2479)) { return false; }
  // * 名詞,非自立,助動詞語幹,*,*,*,様 true
  if ((lid == 2480)) { return true; }
  // ^名詞,非自立 ^助詞 false
  if (((rid >= 2348 && rid <= 2482)) && ((lid >= 240 && lid <= 398))) { return false; }
  // ^名詞 助詞,終助詞,*,*,*,*,(よ|ね|の) false
  if (((rid >= 2234 && rid <= 2482)) && ((lid >= 371 && lid <= 380) || (lid >= 385 && lid <= 387))) { return false; }
  // ^名詞 ^助詞,(終助詞|特殊|接続助詞|動詞非自立的) true
  if (((rid >= 2234 && rid <= 2482)) && ((lid >= 297 && lid <= 328) || (lid >= 348 && lid <= 397))) { return true; }
  // ^名詞 ^名詞,非自立,(一般|助動詞語幹|形容動詞語幹) true
  if (((rid >= 2234 && rid <= 2482)) && ((lid >= 2348 && lid <= 2416) || (lid >= 2477 && lid <= 2482))) { return true; }
  // ^名詞 ^形容詞,非自立 true
  if (((rid >= 2234 && rid <= 2482)) && ((lid >= 2863 && lid <= 2975))) { return true; }
  // ^名詞 ^動詞,(接尾|非自立) true
  if (((rid >= 2234 && rid <= 2482)) && ((lid >= 399 && lid <= 532) || (lid >= 1412 && lid <= 2233))) { return true; }
  // ^(動詞|形容詞|助動詞) 名詞,接尾,(サ変接続|人名|副詞可能|助数詞|地域|形容動詞語幹|形容動詞語幹) true
  if (((rid >= 33 && rid <= 239) || (rid >= 399 && rid <= 2233) || (rid >= 2483 && rid <= 2975)) && ((lid >= 2313 && lid <= 2317) || (lid >= 2319 && lid <= 2320) || (lid >= 2322 && lid <= 2335))) { return true; }
  // ^(動詞|形容詞|助動詞) 形容詞,非自立,*,*,形容詞・アウオ段,*,良い true
  if (((rid >= 33 && rid <= 239) || (rid >= 399 && rid <= 2233) || (rid >= 2483 && rid <= 2975)) && ((lid == 2872) || (lid == 2879) || (lid == 2886) || (lid == 2893) || (lid == 2900) || (lid == 2907) || (lid == 2915) || (lid == 2922) || (lid == 2929) || (lid == 2936) || (lid == 2943) || (lid == 2950))) { return true; }
  // ^接頭詞,名詞接続 ^(動詞|形容詞) true
  if (((rid >= 2979 && rid <= 3000)) && ((lid >= 399 && lid <= 2233) || (lid >= 2483 && lid <= 2975))) { return true; }
  // 名詞,固有名詞,人名 名詞,接尾,人名 false
  if (((rid >= 2302 && rid <= 2304)) && ((lid == 2319))) { return false; }
  // 名詞,固有名詞,地域 名詞,接尾,地域 false
  if (((rid >= 2305 && rid <= 2309)) && ((lid >= 2323 && lid <= 2331))) { return false; }
  // 名詞,数 名詞,接尾,助数詞 true
  if (((rid >= 2338 && rid <= 2346)) && ((lid == 2322))) { return true; }
  // 名詞,接尾,特殊 名詞,接尾,助動詞語幹 false
  if (((rid == 2336)) && ((lid == 2321))) { return false; }
  // ^名詞,接尾 ^名詞,接尾 true
  if (((rid >= 2313 && rid <= 2336)) && ((lid >= 2313 && lid <= 2336))) { return true; }
  // * ^名詞,接尾,(副詞可能|助動詞語幹|特殊) false
  if ((lid >= 2320 && lid <= 2321) || (lid == 2336)) { return false; }
  // * ^名詞,接尾 true
  if ((lid >= 2313 && lid <= 2336)) { return true; }
  // ^助動詞,*,*,*,特殊・ダ ^名詞,非自立 false
  if (((rid >= 170 && rid <= 176)) && ((lid >= 2348 && lid <= 2482))) { return false; }
  // ^動詞 動詞,非自立,*,*,五段・ワ行促音便,*,(ちまう|ちゃう|じまう|じゃう) false
  if (((rid >= 399 && rid <= 2233)) && ((lid >= 2166 && lid <= 2169) || (lid >= 2175 && lid <= 2178) || (lid >= 2184 && lid <= 2187) || (lid >= 2194 && lid <= 2197) || (lid >= 2203 && lid <= 2206) || (lid >= 2212 && lid <= 2215) || (lid >= 2222 && lid <= 2225))) { return false; }
  // ^動詞 動詞,非自立,*,*,五段・カ行促音便,*,(てく|どく) false
  if (((rid >= 399 && rid <= 2233)) && ((lid == 1797) || (lid == 1802) || (lid == 1808) || (lid == 1813) || (lid == 1818) || (lid == 1823) || (lid == 1828) || (lid == 1833))) { return false; }
  // ^動詞 動詞,非自立,*,*,五段・カ行イ音便,*,とく false
  if (((rid >= 399 && rid <= 2233)) && ((lid == 1725) || (lid == 1734) || (lid == 1743) || (lid == 1752) || (lid == 1761) || (lid == 1770) || (lid == 1779) || (lid == 1788))) { return false; }
  // ^動詞 動詞,非自立,*,*,一段,*,(てる|でる) false
  if (((rid >= 399 && rid <= 2233)) && ((lid == 1446) || (lid == 1448) || (lid == 1477) || (lid == 1479) || (lid == 1508) || (lid == 1510) || (lid == 1539) || (lid == 1541) || (lid == 1570) || (lid == 1572) || (lid == 1601) || (lid == 1603) || (lid == 1632) || (lid == 1634) || (lid == 1663) || (lid == 1665) || (lid == 1693) || (lid == 1695))) { return false; }
  // ^動詞 動詞,非自立,*,*,五段・ラ行,*,(とる|どる) false
  if (((rid >= 399 && rid <= 2233)) && ((lid >= 1927 && lid <= 1928) || (lid >= 1944 && lid <= 1945) || (lid >= 1962 && lid <= 1963) || (lid >= 1979 && lid <= 1980) || (lid >= 1996 && lid <= 1997) || (lid >= 2013 && lid <= 2014) || (lid >= 2030 && lid <= 2031) || (lid >= 2047 && lid <= 2048) || (lid >= 2064 && lid <= 2065) || (lid >= 2081 && lid <= 2082) || (lid >= 2098 && lid <= 2099))) { return false; }
  // ^副詞,助詞類接続,*,*,*,*,(そう|こう|どう|どぉ) ^動詞,自立,*,*,五段・ラ行,*,なる false
  if (((rid == 24) || (rid >= 28 && rid <= 30)) && ((lid == 982) || (lid == 997) || (lid == 1012) || (lid == 1027) || (lid == 1042) || (lid == 1057) || (lid == 1072) || (lid == 1087) || (lid == 1102) || (lid == 1117) || (lid == 1132))) { return false; }
  // ^形容詞,自立,*,*,*,連用テ接続 ^動詞,自立,*,*,五段・ラ行,*,なる false
  if (((rid >= 2740 && rid <= 2754) || (rid >= 2854 && rid <= 2862)) && ((lid == 982) || (lid == 997) || (lid == 1012) || (lid == 1027) || (lid == 1042) || (lid == 1057) || (lid == 1072) || (lid == 1087) || (lid == 1102) || (lid == 1117) || (lid == 1132))) { return false; }
  // ^名詞,副詞可能 ^動詞,自立,*,*,五段・ラ行,*,なる false
  if (((rid >= 2290 && rid <= 2299)) && ((lid == 982) || (lid == 997) || (lid == 1012) || (lid == 1027) || (lid == 1042) || (lid == 1057) || (lid == 1072) || (lid == 1087) || (lid == 1102) || (lid == 1117) || (lid == 1132))) { return false; }
  // ^助詞,*,*,*,*,*,(は|に|で|も|が|の) ^動詞,自立,*,*,五段・ラ行,*,ある false
  if (((rid >= 255 && rid <= 256) || (rid == 269) || (rid == 277) || (rid == 296) || (rid == 300) || (rid == 313) || (rid >= 321 && rid <= 322) || (rid == 324) || (rid >= 330 && rid <= 331) || (rid >= 333 && rid <= 335) || (rid >= 350 && rid <= 351) || (rid == 364) || (rid >= 379 && rid <= 380) || (rid == 382) || (rid == 398)) && ((lid == 977) || (lid == 992) || (lid == 1007) || (lid == 1022) || (lid == 1037) || (lid == 1052) || (lid == 1067) || (lid == 1082) || (lid == 1097) || (lid == 1112) || (lid == 1127))) { return false; }
  // ^助詞,*,*,*,*,*,(は|に|で|も|が|の|と) ^動詞,自立,*,*,サ変・スル,*,する false
  if (((rid >= 243 && rid <= 244) || (rid >= 255 && rid <= 256) || (rid >= 269 && rid <= 270) || (rid == 277) || (rid >= 295 && rid <= 296) || (rid == 300) || (rid >= 313 && rid <= 315) || (rid >= 321 && rid <= 322) || (rid == 324) || (rid >= 330 && rid <= 335) || (rid == 346) || (rid >= 350 && rid <= 351) || (rid == 364) || (rid >= 379 && rid <= 380) || (rid == 382) || (rid == 398)) && ((lid >= 643 && lid <= 649) || (lid >= 651 && lid <= 657))) { return false; }
  // ^名詞,(一般|サ変接続) ^動詞,自立,*,*,サ変・スル,*,する false
  if (((rid >= 2234 && rid <= 2237) || (rid >= 2239 && rid <= 2285)) && ((lid >= 643 && lid <= 649) || (lid >= 651 && lid <= 657))) { return false; }
  // ^(形容詞|動詞|副詞) ^動詞,自立,*,*,サ変・スル,*,する false
  if (((rid >= 3 && rid <= 32) || (rid >= 399 && rid <= 2233) || (rid >= 2483 && rid <= 2975)) && ((lid >= 643 && lid <= 649) || (lid >= 651 && lid <= 657))) { return false; }
  // * ^動詞,自立,*,*,サ変・スル,*,する true
  if ((lid >= 643 && lid <= 649) || (lid >= 651 && lid <= 657)) { return true; }
  // ^助詞,*,*,*,*,*,(は|に|で|も|が|の) 形容詞,自立,*,*,形容詞・アウオ段,*,ない false
  if (((rid >= 255 && rid <= 256) || (rid == 269) || (rid == 277) || (rid == 296) || (rid == 300) || (rid == 313) || (rid >= 321 && rid <= 322) || (rid == 324) || (rid >= 330 && rid <= 331) || (rid >= 333 && rid <= 335) || (rid >= 350 && rid <= 351) || (rid == 364) || (rid >= 379 && rid <= 380) || (rid == 382) || (rid == 398)) && ((lid == 2584) || (lid == 2599) || (lid == 2614) || (lid == 2629) || (lid == 2644) || (lid == 2659) || (lid == 2674) || (lid == 2689) || (lid == 2704) || (lid == 2719) || (lid == 2734) || (lid == 2749))) { return false; }
  // ^助詞,格助詞,引用,*,*,*,と ^動詞,自立,*,*,五段・ワ行促音便,*,いう false
  if (((rid == 346)) && ((lid == 1178) || (lid == 1194) || (lid == 1207) || (lid == 1220) || (lid == 1233) || (lid == 1246) || (lid == 1259))) { return false; }
  // * 名詞,非自立,形容動詞語幹,*,*,*,ふう true
  if ((lid == 2481)) { return true; }
  // ^副詞,一般 形容詞,(接尾|非自立) true
  if (((rid >= 3 && rid <= 14)) && ((lid >= 2483 && lid <= 2569) || (lid >= 2863 && lid <= 2975))) { return true; }
  // ^助詞 形容詞,(接尾|非自立) true
  if (((rid >= 240 && rid <= 398)) && ((lid >= 2483 && lid <= 2569) || (lid >= 2863 && lid <= 2975))) { return true; }
  // 助動詞,*,*,*,特殊・ダ 名詞 true
  if (((rid >= 170 && rid <= 176)) && ((lid >= 2234 && lid <= 2482))) { return true; }
  // * ^(その他|フィラー|感動詞) true
  if ((lid >= 1 && lid <= 2) || (lid == 2976)) { return true; }
  // * ^記号,(括弧開|括弧閉|アルファベット|一般) true
  if ((lid >= 3003 && lid <= 3004) || (lid >= 3006 && lid <= 3007)) { return true; }
  // * ^記号,(句点|読点) true
  if ((lid == 3005) || (lid == 3008)) { return true; }
  // * ^形容詞,自立 true
  if ((lid >= 2570 && lid <= 2862)) { return true; }
  // * ^形容詞,(接尾|非自立) false
  if ((lid >= 2483 && lid <= 2569) || (lid >= 2863 && lid <= 2975)) { return false; }
  // * ^(助詞|助動詞) false
  if ((lid >= 33 && lid <= 398)) { return false; }
  // * ^動詞,自立 true
  if ((lid >= 533 && lid <= 1411)) { return true; }
  // * ^動詞,接尾 false
  if ((lid >= 399 && lid <= 532)) { return false; }
  // * ^名詞,(接続詞的|接尾|動詞非自立的|特殊|非自立) false
  if ((lid == 2300) || (lid >= 2313 && lid <= 2337) || (lid >= 2347 && lid <= 2482)) { return false; }
  // * ^名詞 true
  if ((lid >= 2234 && lid <= 2482)) { return true; }
  // * ^助詞,接続助詞,*,*,*,*,て false
  if ((lid == 312)) { return false; }
  // * 動詞,非自立,*,*,*,*,(いける|いる|える|かける|かねる|きれる|すぎる|たげる|つづける|づける|づける|できる|どける|のける|みせる|みる|もらえる|る|く|尽くす) false
  if ((lid >= 1412 && lid <= 1421) || (lid >= 1433 && lid <= 1439) || (lid == 1442) || (lid >= 1444 && lid <= 1445) || (lid == 1447) || (lid == 1449) || (lid >= 1451 && lid <= 1454) || (lid >= 1464 && lid <= 1470) || (lid == 1473) || (lid >= 1475 && lid <= 1476) || (lid == 1478) || (lid == 1480) || (lid >= 1482 && lid <= 1485) || (lid >= 1495 && lid <= 1501) || (lid == 1504) || (lid >= 1506 && lid <= 1507) || (lid == 1509) || (lid == 1511) || (lid >= 1513 && lid <= 1516) || (lid >= 1526 && lid <= 1532) || (lid == 1535) || (lid >= 1537 && lid <= 1538) || (lid == 1540) || (lid == 1542) || (lid >= 1544 && lid <= 1547) || (lid >= 1557 && lid <= 1563) || (lid == 1566) || (lid >= 1568 && lid <= 1569) || (lid == 1571) || (lid == 1573) || (lid >= 1575 && lid <= 1578) || (lid >= 1588 && lid <= 1594) || (lid == 1597) || (lid >= 1599 && lid <= 1600) || (lid == 1602) || (lid == 1604) || (lid >= 1606 && lid <= 1609) || (lid >= 1619 && lid <= 1625) || (lid == 1628) || (lid >= 1630 && lid <= 1631) || (lid == 1633) || (lid == 1635) || (lid >= 1637 && lid <= 1640) || (lid >= 1650 && lid <= 1656) || (lid == 1659) || (lid >= 1661 && lid <= 1662) || (lid == 1664) || (lid == 1666) || (lid >= 1668 && lid <= 1670) || (lid >= 1680 && lid <= 1686) || (lid == 1689) || (lid >= 1691 && lid <= 1692) || (lid == 1694) || (lid == 1696) || (lid >= 1698 && lid <= 1700) || (lid >= 1709 && lid <= 1718) || (lid == 1796) || (lid == 1801) || (lid == 1807) || (lid == 1812) || (lid == 1817) || (lid == 1822) || (lid == 1827) || (lid == 1832) || (lid == 1855) || (lid == 1863) || (lid == 1871) || (lid == 1879) || (lid == 1887) || (lid == 1895) || (lid == 1903) || (lid == 2112) || (lid == 2117) || (lid == 2122) || (lid == 2127) || (lid == 2134) || (lid == 2139) || (lid == 2144) || (lid == 2149) || (lid == 2154) || (lid == 2159)) { return false; }
  // * 助詞,接続助詞,*,*,*,*,で false
  if ((lid == 313)) { return false; }
  // * * true
  return true;
  return true;  // default
}
}   // namespace

